import request from '@/utils/request'

// 用户提现申请查询
export function applicationGetAll(data) {
  return request({
    url: '/buyer_withdrawal/getAll',
    method: 'post',
    data
  })
}
// 用户提现申请详情查询
export function applicationGetById(data) {
  return request({
    url: '/buyer_withdrawal/getById',
    method: 'post',
    data
  })
}

// 用户提现申请处理
export function applicationHandle(data) {
  return request({
    url: '/buyer_withdrawal/handle',
    method: 'post',
    data
  })
}

//  查询提现手续费管理
export function commissionGetAll(data){
  return request({
    url:"/buyerWithdrawalConfig/getAll",
    method:"post",
    data
  })
}

//  新增提现手续费管理
export function addCommission(data){
  return request({
    url:"/buyerWithdrawalConfig/save",
    method:"post",
    data
  })
}

//  删除提现手续费管理

export function deleteCommission(data){
  return request({
    url:"/buyerWithdrawalConfig/delete",
    method:"post",
    data
  })
}


//  编辑提现手续费管理
export function edidCommission(data){
  return request({
    url:"/buyerWithdrawalConfig/update",
    method:"post",
    data
  })
}

// 查询当前用户的信息
export function getUserWater(params){
  return request({
    url:"/buyer_withdrawal/getDistributor",
    method:"get",
    params
  })
}

// 流水记录查询
export function getWaterRecord(params){
  return request({
    url:"/platformUserCommissionRecord/page",
    method:"get",
    params
  })
}

// 分页查询佣金流水记录(新)
export function getCommissionAll(params){
  return request({
    url:"/buyerCommissionEntryRecord/getCommissionAll",
    method:"get",
    params
  })
}

//  通联查询
export function getTonglian(data){
  return request({
    url:"/buyer_withdrawal/getByAllinpay",
    method:"post",
    data
  })
}